Name: nano
%define major 2.9
%define fix 0
Version: %{major}.%{fix}
Release: 1
License: GPL-3.0-or-later
Summary: Small and friendly text editor
Url: https://www.nano-editor.org

BuildRequires: ncurses-devel
BuildRequires: file-devel

Source0: https://www.nano-editor.org/dist/v%{major}/nano-%{version}.tar.xz

%description
GNU nano is a small and friendly text editor. Besides basic text editing, nano
offers many extra features, such as an interactive search-and-replace,
undo/redo, syntax coloring, smooth scrolling, auto-indentation,
go-to-line-and-column-number, feature toggles, file locking, backup files, and
internationalization support.

The original goal for nano was to be a complete bug-for-bug emulation of Pico.

%prep
%setup -q

%build

%configure \
  CPPFLAGS="-I%{_includedir} -I%{_includedir}/ncurses" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --host=powerpc-ibm-aix6 \
  --build=powerpc-ibm-aix6 \
  --enable-threads=posix \
  --disable-nls
  
#   --enable-utf8 \
%make_build

%install

%make_install

rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%{_bindir}/nano
%{_bindir}/rnano

%{_infodir}/nano.info

%{_mandir}/man1/rnano.1
%{_mandir}/man1/nano.1

%{_mandir}/man5/nanorc.5

%{_datadir}/nano

%{_docdir}/nano

%changelog
* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 2.9.0
- Use SPDX license identifier

* Thu Apr 04 2019 Jesse Gorzinski <jgorzins@us.ibm.com> 2.9.0
- Update to ship rnano

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove charset.alias

* Tue Feb 20 2018 - Kevin Adler <kadler@us.ibm.com>
- Add missing BuildRequires

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds for OBJECT_MODE

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Build nano
